
QGIS Application - Bug report #48

GRASS Digit: attribute window moves around not asked to

2006-04-04 12:56 AM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10107

Description

Please prevent the attribute window from jumping around

- it often jumps to the most top-left location,

covering the layer tree and forcing me to move it back

from there to the location of my choice; then it will

jump back to cover the layer tree...

Maciek

History

#1 - 2006-04-04 12:56 AM - Redmine Admin

Is it still true? 

Is it realy related to QGIS, was not it window manager problem?

I could never reproduce such a behaviour. 

Does it happen also with current HEAD version?

Radim

#2 - 2006-04-04 12:56 AM - maciek -

Yes, with 0.7.4 SVN about 3 weeks old.

Is it realy related to QGIS, was not it window manager problem?

Dunno. Using Ubuntu Breezy with GNOME.

I could never reproduce such a behaviour.

KDE?

Does it happen also with current HEAD version?

Haven't tried due to lack of QT 4.1. For Breezy only QT 4.0 is

packaged, which I heard is problematic with QGIS 0.7.9.
What do I do in order to install QT 4.1 on Breezy without hacking too

much? I wouldn't mind building from source unless it is fairly

straightforward. Having qt 4.1 I could help with testing.

Maciek

#3 - 2006-04-06 06:27 AM - Redmine Admin

On 4/4/06, Maciek Sieczka <werchowyna@epf.pl> wrote:

Yes. Easy to reproduce:

1. Open a Grass vector.

2. Pick "Edit table".

Do you mean 'Edit attributes'?

3. Left click some object.

4. Table pops up. Edit it as needed, move to lower-right corner.

5. Click another object. All fine. Click another one - and the table

jumps to top right corner. Bad table.

Sorry, I have no idea, the position is stored whenever the attributes

dialog is closed (deleted) and restored when a new one is created

(another element selected).

Do you have the same problem when new elements are digitized?

BTW: I have maybe similar problem with edit region dialog,

move() is called but somehow ignored.

Radim

#4 - 2006-04-06 06:31 AM - Redmine Admin

I added debug output. Whenever you select an element 

you should see in terminal something like 

[[QgsGrassAttributes]]()

  [[QgsGrassAttributes]]::restorePosition()

  wx = 200 wy = 406

The values are then used in move(wx,wy); to set windows position.

Check if these values are correct.

Radim

#5 - 2006-04-06 09:14 AM - Redmine Admin

Please try with fresh SVN. I have changed widget style
and it could work. I think that the problem was that certain

widget styles calls adjustSize after move.

I have also changed it so that the window is not closed always 

when a new element is selected, that should make it more pleasant.

Radim

#6 - 2006-04-10 01:17 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in 0.8.

Radim

#7 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
